libxml++ 2.40.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlpp::validity_error Class Reference

This exception will be thrown when the parser encounters a validity error in the XML document. More...

`#include <libxml++/exceptions/validity_error.h>`

Inheritance diagram for xmlpp::validity_error:
[legend]

## Public Member Functions
| validity_error (const Glib::ustring& message)
| ~validity_error () noexceptoverride
exception* | Clone () const override
void | Raise () const override
Public Member Functions inherited from xmlpp::parse_error
| parse_error (const Glib::ustring& message)
| ~parse_error () noexceptoverride
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
| ~exception () noexceptoverride
const char* | what () const noexceptoverride

## Detailed Description

This exception will be thrown when the parser encounters a validity error in the XML document.

## Constructor & Destructor Documentation

xmlpp::validity_error::validity_error | ( | const Glib::ustring & | message | ) |
| explicit

xmlpp::validity_error::~validity_error | ( |  | ) |
| override noexcept

## Member Function Documentation

exception* xmlpp::validity_error::Clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::parse_error.

void xmlpp::validity_error::Raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::parse_error.